Community mailing list archives

community@mail.odoo.com

Re: hw_escpos module stops my Odoo instance

by
Skillteam, Houssine BAKKALI
- 05/12/2015 16:49:32
there is this module under the OCA umbrella (hey hey hey under the OCA umbrella)

2015-05-12 22:42 GMT+02:00 Jos De Graeve <jos.degraeve@apertoso.be>:

Hi,

Have you configured the posbox ip and posbox settings in the pos configuration ?

Afaik, there is no support out of the box for a credid card reader.

Regards,
jos

Op 12-mei-2015 22:02 schreef "aasim ansari" <aasim333@gmail.com>:
Thanks for your feedback.

The point is I need PosBox. I have already bought it and tried connecting it without installing hw_escpos module. Neither barcode reader nor thermal printer works. Unfortunately, I have to go for PosBoxless configuration. However, in near future I need PosBox.

@Jos- Any idea whether the pywebdriver module is working fine with Credit Card Reader? 



--

Aasim Ahmed Ansari

Cell: +91 9619 424 386


On Tue, May 12, 2015 at 4:43 PM, Sylvain LE GAL <sylvain.legal@grap.coop> wrote:
Hi,

Sylvain LE GAL
Service informatique
GRAP - Groupement Régional Alimentaire de Proximité

3 Grande rue des Feuillants, 69001 Lyon
Bureau :
(+33) 09.72.32.33.17
Astreinte :
(+33) 06.81.85.61.43

GRAP sur le Web : Site Web | Facebook | Twitter
GRAP - service Informatique sur le Web : Twitter


2015-05-12 12:17 GMT+02:00 Jos De Graeve <jos.degraeve@apertoso.be>:
Hi,

Don't install the hw_escpos module on your server !
+1

It's only needed on a computer where a USB ticket printer will be connected for printing pos tickets.  This is the case when using the pos box for example.  The posbox runs a dummy odoo instance which its only task is to print a ticket when it is instructed to do so by the javascript pos application running in the clients browser.

For more info, check the posbox manual: http://nightly.odoo.com/master/posbox/manual.pdf

In other hand, you can try this project that is an "dummy Odoo instance + hw_escpos" like project. It emulates the same behaviour but don't need full instances. (with all python dependencies, Postgres).
Moreover, you don't have to upgrade your posbox when you upgrade your server. (7.0 -> 8.0).


Kind regards.

Regards,
Jos



Jos De Graeve - Apertoso business ICT


Guido Gezellelaan 16 - B-9800 Deinze - Belgium
 
mail/im/skype: Jos.DeGraeve@apertoso.be - apertoso

2015-05-11 14:55 GMT+02:00 aasim ansari <aasim333@gmail.com>:
Hello All,

I am running my Odoo server on Amazon EC2 instance. I installed all the dependent python package- usb.core, qrcode, jcconv. Now, when I try to install hw_escpos module it just stops my Odoo.

Any idea what am I missing?

Thanks.

--

Aasim Ahmed Ansari

Cell: +91 9619 424 386

_______________________________________________
Mailing-List: https://www.odoo.com/groups/community-59
Post to: mailto:community@mail.odoo.com
Unsubscribe: https://www.odoo.com/groups?unsubscribe


_______________________________________________
Mailing-List: https://www.odoo.com/groups/community-59
Post to: mailto:community@mail.odoo.com
Unsubscribe: https://www.odoo.com/groups?unsubscribe


_______________________________________________
Mailing-List: https://www.odoo.com/groups/community-59
Post to: mailto:community@mail.odoo.com
Unsubscribe: https://www.odoo.com/groups?unsubscribe


_______________________________________________
Mailing-List: https://www.odoo.com/groups/community-59
Post to: mailto:community@mail.odoo.com
Unsubscribe: https://www.odoo.com/groups?unsubscribe

_______________________________________________
Mailing-List: https://www.odoo.com/groups/community-59
Post to: mailto:community@mail.odoo.com
Unsubscribe: https://www.odoo.com/groups?unsubscribe